# Account Information
source: https://developer.mastercard.com/open-finance-europe/documentation/licensed/aiia-enterprise/accounts/account-information/index.md

The service exposes an endpoint that allows TPPs to access their users' account information.

The details below describe how to call a list with all of a user's accounts:

API Reference: `GET /v2/accounts`

```shell
curl https://api.nordicapigateway.com/v2/accounts
  -H 'X-Client-Id: <CLIENT_ID>' \
  -H 'X-Client-Secret: <CLIENT_SECRET>' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
```

#### Parameters {#parameters}

|   **Name**    | **Required** | **Type** |                       **Description**                        |
|---------------|--------------|----------|--------------------------------------------------------------|
| `pagingToken` | No           | `string` | A paging token received from a previous request for accounts |

Note: Make sure you have a valid access token after completing the login flow described in our authentication. You can also refer to [Error Handling](https://developer.mastercard.com/open-finance-europe/documentation/licensed/aiia-enterprise/codes-formats/index.md) to see what could be wrong.

#### Result {#result}

The call will return a JSON object in this format:

    {
      "accounts": [
          {
              "id": "nLyutqfV0vy0hIRIop6tCjEGzyePS2zn7QYv-JVOv0Q.0",
              "providerId": "TestDataBank1",
              "name": "Checking Account",
              "number": {
                  "bbanType": "DK",
                  "bban": "0001-204386946",
                  "iban": "DK00000000000001204386946",
                  "card": null,
                  "bbanParsed": {
                      "bankCode": "0001",
                      "accountNumber": "204386946"
                  }
              },
              "bookedBalance": {
                  "value": -10880.26,
                  "currency": "DKK"
              },
              "availableBalance": null,
              "type": "Consumption",
              "features": {
                  "queryable": true,
                  "psdPaymentAccount": true,
                  "paymentFrom": true,
                  "paymentTo": true
              }
          },
          {
              "id": "T6t4Pk9uNDgiz7JCKcK3vis9dR3wH3-hR5bacmgHFBw.1",
              "providerId": "TestDataBank1",
              "name": "Direct Debit",
              "number": {
                  "bbanType": "DK",
                  "bban": "0001-245787654",
                  "iban": "DK00000000000001245787654",
                  "card": null,
                  "bbanParsed": {
                      "bankCode": "0001",
                      "accountNumber": "245787654"
                  }
              },
              "bookedBalance": {
                  "value": 614.03,
                  "currency": "DKK"
              },
              "availableBalance": null,
              "type": "Consumption",
              "features": {
                  "queryable": true,
                  "psdPaymentAccount": true,
                  "paymentFrom": true,
                  "paymentTo": true
              }
          }
      ],
      "pagingToken": null
    }

The object contains useful information about:

* What you need in order to get transaction data
* What type of account it is
* What the balance on the account is and in what currency

It also contains the BBAN and IBAN information which can be used for initiating transactions.

|      **Name**      | **Type** |                                                                                                                               **Description**                                                                                                                                |
|--------------------|----------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `id`               | `string` | ID of the account at the account provider. Please note that providers generate their account IDs independently and at their sole discretion. The logic may vary.                                                                                                             |
| `providerId`       | `string` | ID of the account provider                                                                                                                                                                                                                                                   |
| `name`             | `string` | The name of the account                                                                                                                                                                                                                                                      |
| `number`           | `object` | The account's number                                                                                                                                                                                                                                                         |
| `bookedBalance`    | object   | Booked balance of the account, including the ISO 4217 currency code (website)                                                                                                                                                                                                |
| `availableBalance` | `object` | Available balance is set when provided by the account provider, including the ISO 4217 currency code (website)                                                                                                                                                               |
| `type`             | `string` | Type of account: `Unknown` `Consumption` `Loan` `OpenSavings` - Savings without any restrictions `LockedSavings` - Savings where any restrictions are applied, e.g. "can only be withdrawn with 3 months prior notice" `Card` - Card only account, e.g. "Mastercard account" |
| `features`         | `object` | Details on how the account can be used. For example, is it a payment account? Can transactions be fetched?                                                                                                                                                                   |
| `pagingToken`      | `string` | If the user has more accounts than possible to fetch with a single request, you can fetch more accounts by providing this token in a new request                                                                                                                             |

Note: Take note of the id of each account as you will need it to get transaction data from the accounts.
